> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cozmox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List calls

> Returns a paginated list of calls for the organization with optional filters



## OpenAPI

````yaml /openapi.yaml get /org/{org_id}/calls
openapi: 3.0.0
info:
  contact: {}
  title: Cozmo - API
  version: devel
servers:
  - url: https://v2-nova-api.prod.czmx.in/api
security:
  - BearerAuth: []
paths:
  /org/{org_id}/calls:
    get:
      tags:
        - Calls
      summary: List calls
      description: >-
        Returns a paginated list of calls for the organization with optional
        filters
      operationId: listCalls
      parameters:
        - description: Organization ID
          in: path
          name: org_id
          required: true
          schema:
            type: string
        - description: Page number
          in: query
          name: page
          schema:
            type: integer
            default: 1
        - description: Page size
          in: query
          name: size
          schema:
            type: integer
            maximum: 100
            default: 50
        - description: >-
            Filter by status (SCHEDULED, RINGING, IN_PROGRESS, completed,
            no-answer, failed, busy)
          in: query
          name: status
          schema:
            type: string
        - description: Filter by direction (INBOUND, OUTBOUND)
          in: query
          name: direction
          schema:
            type: string
        - description: Filter by agent ID
          in: query
          name: agent_id
          schema:
            type: string
        - description: Filter by prospect ID
          in: query
          name: prospect_id
          schema:
            type: string
        - description: Filter by workflow ID
          in: query
          name: workflow_id
          schema:
            type: string
        - description: Filter by prospect external ID
          in: query
          name: prospect_external_id
          schema:
            type: string
        - description: Filter by prospect name (first or last)
          in: query
          name: prospect_name
          schema:
            type: string
        - description: Filter by start date (ISO 8601)
          in: query
          name: start_date
          schema:
            type: string
        - description: Filter by end date (ISO 8601)
          in: query
          name: end_date
          schema:
            type: string
        - description: Filter by minimum duration in seconds
          in: query
          name: min_duration
          schema:
            type: integer
        - description: Search by phone number
          in: query
          name: phone
          schema:
            type: string
        - description: Filter by evaluation outcome key (e.g. is_interested)
          in: query
          name: evaluation_key
          schema:
            type: string
        - description: Filter by evaluation value (e.g. true, false, or extracted text)
          in: query
          name: evaluation_value
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calls.PaginatedCallsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
      security:
        - BearerAuth: []
components:
  schemas:
    calls.PaginatedCallsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/calls.CallListItemResponse'
          type: array
        meta:
          $ref: '#/components/schemas/calls.PaginationMeta'
      type: object
    helper.ResponseError:
      properties:
        data: {}
        error: {}
        message:
          type: string
        status:
          type: boolean
      type: object
    calls.CallListItemResponse:
      properties:
        agent_name:
          type: string
        call_type:
          type: string
        callback_for:
          type: string
        direction:
          type: string
        duration_seconds:
          type: integer
        ended_at:
          type: string
        from_number:
          type: string
        id:
          type: string
        initial_agent_id:
          type: string
        prospect_external_id:
          type: string
        prospect_first_name:
          type: string
        prospect_id:
          type: string
        prospect_last_name:
          type: string
        prospect_phone:
          type: string
        scheduled_at:
          type: string
        started_at:
          type: string
        status:
          type: string
        to_number:
          type: string
      type: object
    calls.PaginationMeta:
      properties:
        page:
          type: integer
        size:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
      type: object
  securitySchemes:
    BearerAuth:
      type: apiKey
      in: header
      name: X-API-Key

````